set DESIGN_PATH         ../src

set PCI_PATH            $DESIGN_PATH/PCI

set PCI_TESTBENCH_PATH  $DESIGN_PATH/Testbench

set TESTBENCH_PATH      $DESIGN_PATH/Testbench



# The Global file

vlog -work fsim_work +incdir+$TESTBENCH_PATH $TESTBENCH_PATH/glbl.v



#The PCI TEstbench Files

vlog -work fsim_work +incdir+$PCI_TESTBENCH_PATH $PCI_TESTBENCH_PATH/PCI_arbiter.v

vlog -work fsim_work +incdir+$PCI_TESTBENCH_PATH $PCI_TESTBENCH_PATH/PCI_bus_monitor.v

vlog -work fsim_work +incdir+$PCI_TESTBENCH_PATH $PCI_TESTBENCH_PATH/PCI_device.v

vlog -work fsim_work +incdir+$PCI_TESTBENCH_PATH $PCI_TESTBENCH_PATH/PCI_device_defines.v

vlog -work fsim_work +incdir+$PCI_TESTBENCH_PATH $PCI_TESTBENCH_PATH/sdram_ctrlr_sim.v

vlog -work fsim_work +incdir+$PCI_TESTBENCH_PATH $PCI_TESTBENCH_PATH/xf_uart_sim.v



#compile the PCI core



vlog -work fsim_work +incdir+$PCI_PATH $PCI_PATH/pcim_lc_33_3_s.v

vlog -work fsim_work +incdir+$PCI_PATH $PCI_PATH/pci_lc_i.v

vlog -work fsim_work +incdir+$PCI_PATH $PCI_PATH/cfg.v



# Compile The Design Files

vlog -work fsim_work +incdir+$DESIGN_PATH $DESIGN_PATH/RAMB4_S16_S16.v

vlog -work fsim_work +incdir+$DESIGN_PATH $DESIGN_PATH/register_hit_machine.v

vlog -work fsim_work +incdir+$DESIGN_PATH $DESIGN_PATH/register_module.v

vlog -work fsim_work +incdir+$DESIGN_PATH $DESIGN_PATH/UART_CORE.v

vlog -work fsim_work +incdir+$DESIGN_PATH $DESIGN_PATH/UART_TXFIFO.v

vlog -work fsim_work +incdir+$DESIGN_PATH $DESIGN_PATH/UART_RXFIFO.v

vlog -work fsim_work +incdir+$DESIGN_PATH $DESIGN_PATH/fifo_sdram_interface_controller.v

vlog -work fsim_work +incdir+$DESIGN_PATH $DESIGN_PATH/fifo_pci_interface_controller.v

vlog -work fsim_work +incdir+$DESIGN_PATH $DESIGN_PATH/write_fifo.v

vlog -work fsim_work +incdir+$DESIGN_PATH $DESIGN_PATH/read_fifo.v

vlog -work fsim_work +incdir+$DESIGN_PATH $DESIGN_PATH/WRITE_PADDER.v

vlog -work fsim_work +incdir+$DESIGN_PATH $DESIGN_PATH/userapp.v

vlog -work fsim_work +incdir+$DESIGN_PATH $DESIGN_PATH/BOARDTEST_TOP.v



# Compile the rest of the testbench

vlog -work fsim_work +incdir+$TESTBENCH_PATH $TESTBENCH_PATH/seg2bin.v

vlog -work fsim_work +incdir+$PCI_TESTBENCH_PATH $PCI_TESTBENCH_PATH/SDRAM_PCI.v

vlog -work fsim_work +incdir+$PCI_TESTBENCH_PATH $PCI_TESTBENCH_PATH/SDRAM_TB_CONTROL.v



vlog -work fsim_work +incdir+$TESTBENCH_PATH $TESTBENCH_PATH/mt48lc2m32b2.v



vlog -work fsim_work +incdir+$TESTBENCH_PATH $TESTBENCH_PATH/BOARDTEST_TB_TOP.v