-------------------------------------------------------------------------

--

-- File name   : benign.vhd

--             :  

-- Title       : 

--             :  

-- Functional  : 

-- Description : block to drive unused pci initiator signals to keep

--             : fpga tools from trimming pci core logic

--             : 

-- Created On  : 8/7/00   

--             :

-- Testbed     :

-- Requirements: <testing requirements -- explain relation to spec.>

--             :

-- Coding      :  

-- Standard    : Active low signals are identified with '_n' or '_N'.

--             : Only one entity-architecture pair per file.

--             :

-- Synthesis   :

-- Standard    : All outputs registered when possible.

--             :

-- Synthesis   :

-- Warnings    : <NO warnings without written explanation>

--             :

-- Device      :

-- Utilization : <est. clb count, tbufs, dffs, etc.>

--             :

-- Limitations : For use in Xilinx FPGA

--             : 

-- Developers  : Tom Curran

--             : Memec Design

--             : 30 Nagog Park

--             : Acton, MA  01720

--             : Ph 978.266.9193

--             : Fx 978.266.9194

-- ----------------------------------------------------------------------

-- Revision History :

-- ----------------------------------------------------------------------

--   Version   | Author          | Changes Made:      | Mod. Date:

--      1.0    | tom curran      | First write        | 8/7/00      

-- ----------------------------------------------------------------------



library ieee;

use ieee.std_logic_1164.all;

use ieee.std_logic_unsigned.all;



entity benign is

port(

   reset : in std_logic;

   clk : in std_logic;

   slot64 : out std_logic;

   cfg_self : out std_logic;

   m_ready : out std_logic;

   m_wrdn : out std_logic;

   complete : out std_logic;

   request : out std_logic;

   request64 : out std_logic;

   requesthold : out std_logic;

   m_cbe : out std_logic_vector(7 downto 0)

   );

end benign;



--}} end of automatically maintained section



architecture rtl of benign is

begin



    -- enter your statements here --

       

   benign_initiator: process (clk,reset)

   begin

      if reset='1' then --asynchronous reset active high

         slot64 <= '1';

         request <= '1';

         request64 <= '1';

         requesthold <= '1';

         complete <= '0';

         m_wrdn <= '1';

         m_ready <= '0';

         cfg_self <= '1';

         m_cbe(7 downto 4) <= "1111";

         m_cbe(3 downto 0) <= "1001";

      elsif (clk'event and clk='1') then  --clk rising edge

         slot64 <= '0';

         request <= '0';

         request64 <= '0';

         requesthold <= '0';

         complete <= '1';

         m_wrdn <= '0';

         m_ready <= '1';

         cfg_self <= '0';

         m_cbe(7 downto 4) <= "0000";

         m_cbe(3 downto 0) <= "0110";

      end if;

   end process;



end rtl;

