-------------------------------------------------------------------------

--

-- File name   : target_control.vhd

--             :  

-- Title       : 

--             :  

-- Functional  : 

-- Description : block to mux the term, ready, abort, etc. transaction

--             : control signals to the pci core

--             : 

-- Created On  : 

--             :

-- Testbed     :

-- Requirements: <testing requirements -- explain relation to spec.>

--             :

-- Coding      :  

-- Standard    : Active low signals are identified with '_n' or '_N'.

--             : Only one entity-architecture pair per file.

--             :

-- Synthesis   :

-- Standard    : All outputs registered when possible.

--             :

-- Synthesis   :

-- Warnings    : <NO warnings without written explanation>

--             :

-- Device      :

-- Utilization : <est. clb count, tbufs, dffs, etc.>

--             :

-- Limitations : For use in Xilinx FPGA

--             : 

-- Developers  : Tom Curran

--             : Memec Design

--             : 30 Nagog Park

--             : Acton, MA  01720

--             : Ph 978.266.9193

--             : Fx 978.266.9194

-- ----------------------------------------------------------------------

-- Revision History :

-- ----------------------------------------------------------------------

--   Version   | Author          | Changes Made:      | Mod. Date:

--      1.0    | tom curran      | First write        | 8/7/00      

-- ----------------------------------------------------------------------



library ieee;

use ieee.std_logic_1164.all;

use ieee.std_logic_unsigned.all;



entity target_control is

port(

	bar_0_ready : in STD_LOGIC;

	bar_0_term : in STD_LOGIC;

	bar_0_sabort : in STD_LOGIC;

	bar_0_keepout : in STD_LOGIC;

	bar_0_intr_n : in STD_LOGIC;

	bar_0_hit : in STD_LOGIC;

	s_ready : out STD_LOGIC;

	s_term : out STD_LOGIC;

	s_abort : out STD_LOGIC;

   keepout : out STD_LOGIC;

   intr_n : out STD_LOGIC

   );

end target_control;



architecture rtl of target_control is



begin

   

   intr_n <= bar_0_intr_n;



   s_ready <= bar_0_hit and bar_0_ready;

   s_term <= bar_0_hit and bar_0_term;

   s_abort <= bar_0_hit and bar_0_sabort;

   keepout <= bar_0_hit and bar_0_keepout;





end rtl;

